SUBSYS_DEV_ITER_NEXT(9)

NAME
subsys_dev_iter_next - iterate to the next device

SYNOPSIS

struct device * subsys_dev_iter_next(struct subsys_dev_iter * iter);

ARGUMENTS

iter
    subsys iterator to proceed

DESCRIPTION

Proceed iter to the next device and return it. Returns NULL if iteration is complete.

The returned device is referenced and won't be released till iterator is proceed to the next device or exited. The caller is free to do whatever it wants to do with the device including calling back into subsys code.

COPYRIGHT